﻿using Microsoft.AspNetCore.Components;
using MVVMTest2.BusinessModels;
using System.Threading.Tasks;

namespace MVVMTest2.ViewModels
{
    public interface IIndexViewModel
    {
        CartModel ShoppingCart { get; set; }
        void UpdateModels();

        // Handle an onchange event from a <select> element
        Task SelectCartItemModel(ChangeEventArgs args);
        CartItemModel SelectedCartItemModel { get; set; }

        // ComputedValue is a string that represents the contents of the cart.
        string ComputedValue { get; set; }
        void UpdateComputedValue();
    }
}